.TH wxSlider 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSlider \- See external documentation: wxSlider\&.
.SH DESCRIPTION
.LP
See external documentation: wxSlider <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSlider()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxSlider()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxsliderwxslider>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Value::integer(), MinValue::integer(), MaxValue::integer()) -> wxSlider()
.br
.RS
.LP
Equivalent to new(Parent, Id, Value, MinValue, MaxValue, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Value::integer(), MinValue::integer(), MaxValue::integer(), Options::[Option]) -> wxSlider()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxsliderwxslider>\&.
.RE
.LP
.B
create(This::wxSlider(), Parent::wxWindow() (see module wxWindow), Id::integer(), Value::integer(), MinValue::integer(), MaxValue::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Value, MinValue, MaxValue, [])\&.
.RE
.LP
.B
create(This::wxSlider(), Parent::wxWindow() (see module wxWindow), Id::integer(), Value::integer(), MinValue::integer(), MaxValue::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxslidercreate>\&.
.RE
.LP
.B
getLineSize(This::wxSlider()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxslidergetlinesize>\&.
.RE
.LP
.B
getMax(This::wxSlider()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxslidergetmax>\&.
.RE
.LP
.B
getMin(This::wxSlider()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxslidergetmin>\&.
.RE
.LP
.B
getPageSize(This::wxSlider()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxslidergetpagesize>\&.
.RE
.LP
.B
getThumbLength(This::wxSlider()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxslidergetthumblength>\&.
.RE
.LP
.B
getValue(This::wxSlider()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxslidergetvalue>\&.
.RE
.LP
.B
setLineSize(This::wxSlider(), LineSize::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxslidersetlinesize>\&.
.RE
.LP
.B
setPageSize(This::wxSlider(), PageSize::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxslidersetpagesize>\&.
.RE
.LP
.B
setRange(This::wxSlider(), MinValue::integer(), MaxValue::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxslidersetrange>\&.
.RE
.LP
.B
setThumbLength(This::wxSlider(), LenPixels::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxslidersetthumblength>\&.
.RE
.LP
.B
setValue(This::wxSlider(), Value::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxslider\&.html#wxslidersetvalue>\&.
.RE
.LP
.B
destroy(This::wxSlider()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
